# ELECTRE METHODS

We present a new methodology that offers flexibility in constructing ELECTRE multiple criteria
decision-aiding methods. We provide a broad spectrum of elementary ELECTRE-based modules that can be joined together in many different combinations and used via a user-friendly
Python library. In constructing an outranking relation, we consider a diversity of procedures
for executing concordance as well as (non-)discordance tests, computing the valued outranking
relation interpreted as a degree of credibility and transforming it into a crisp relation to examine
if the outranking holds. In the process of outranking exploration, we relate to three types of
algorithmic problems: choice, ranking, and sorting. By combining together the ELECTRE-based
construction and outranking exploration procedures, a user can reconstruct the existing method
or develop a new ELECTRE without any programming skills. To achieve that, a user needs to
join provided modules to create one of several hundred paths that are introduced in this thesis.
We facilitate the selection of an appropriate method, i.e., the right combination of modules, by
providing questions and answers related to the characteristics of decision-making problems. The
proposed solution is demonstrated in case studies for each considered type of outranking exploration.